
  <div class="row">
<div class="card mx-auto mb-3"
     *ngIf=isCherchee()>
  <div class="card-header" id="accordion-{{fiche.mot.split(' ').join('')}}" data-toggle="collapse" attr.data-target="#collepse-{{fiche.mot.split(' ').join('')}}" aria-expanded="true" aria-controls="collapseOne">
    <span id="mot">{{fiche.mot}}</span>
      <span id="score">{{fiche.nbReussis}}/ {{fiche.nbQuizs}}</span>
  </div>
  <div id="collepse-{{fiche.mot.split(' ').join('')}}" class="collapse" aria-labelledby="headingOne" [attr.data-parent]="'#accordion-'+ fiche.mot.split(' ').join('')">
    <div class="card-body">
      <div class="definition">
        <p> {{fiche.definition}}</p>
      </div>
      <div>
        <button id="effacer" type="button" class="btn" data-toggle="modal" [attr.data-target]="'#effacerFicheModal-'+ fiche.mot.split(' ').join('')" ><i class="fa fa-trash-o" aria-hidden="true"></i></button>
        <button id="modifier" type="button" class="btn" data-toggle="modal" [attr.data-target]="'#modifierFicheModal-'+ fiche.mot.split(' ').join('')" > <i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>
      </div>
      <app-tag-affiche
        [tags]="fiche.tags"></app-tag-affiche>
    </div>
  </div>

</div>


<div class="modal fade" id="modifierFicheModal-{{fiche.mot.split(' ').join('')}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <form [formGroup]="modifFiche" class="form-group">

      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modifier fiche</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <div class="form-group">
            <input type="text" class="form-control" id="recipient-name" formControlName="motModif">
          </div>
          <div class="form-group">
            <textarea class="form-control" id="message-text" formControlName="defModif"></textarea>
          </div>
        <small class="text-danger">la modification des tags n'est pas possible pour le moment</small>
      </div>
        <app-tag-affiche
        [tags]="fiche.tags"
        >
        </app-tag-affiche>
      <div class="modal-footer">
        <button type="button"
                class="btn btn-outline-secondary"
                data-dismiss="modal">Annuler</button>

        <button (click)="confModfifFiche()"
                data-dismiss="modal"
                class="btn btn-outline-primary">Enregistrer les changements</button>
      </div>

      </form>
    </div>
  </div>
</div>



<div class="modal fade" id="effacerFicheModal-{{fiche.mot.split(' ').join('')}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Effacer fiche</h5>
      </div>
      <div class="modal-body">
        <p>Confirmer la suppression de la fiche ?</p>
        <small class="text-danger">Cette action est irréversible</small>
      </div>
      <div class="modal-footer">
        <button type="button"
                class="btn btn-outline-secondary"
                data-dismiss="modal"> Annuler</button>
        <button type="button"
                class="btn btn-outline-primary"
                data-dismiss="modal"
                (click)="confEffaceFiche()"> Confirmer</button>
      </div>
    </div>
  </div>
</div>
</div>
